<template>
  <div>test2</div>
</template>

<script>
export default {
  data() {
    return {};
  },
  mounted() {
    // this.usePromise();
    this.useAsync();
  },
  methods: {
    usePromise() {
      this.$axios
        .get("https://jsonplaceholder.typicode.com/posts/1")
        .then((res) => {
          return new Promise((resolve, reject) => {
            this.$axios
              .get(
                "https://jsonplaceholder.typicode.com/comments?postId=" +
                  res.data.id
              )
              .then((res1) => {
                resolve(res1);
              });
          });
        })
        .then((res) => {
          return new Promise((resolve, reject) => {
            this.$axios
              .get(
                "https://jsonplaceholder.typicode.com/users/" +
                  res.data[0].postId
              )
              .then((res1) => {
                resolve(res1);
              });
          });
        })
        .then((res) => {
          console.log(res, "---res");
        });
    },

    async useAsync() {
      let data1, data2, data3;
      await this.$axios
        .get("https://jsonplaceholder.typicode.com/posts/1")
        .then((res) => {
          data1 = res;
        });

      await this.$axios
        .get(
          "https://jsonplaceholder.typicode.com/comments?postId=" +
            data1.data.id
        )
        .then((res) => {
          data2 = res;
        });

      await this.$axios
        .get(
          "https://jsonplaceholder.typicode.com/users/" + data2.data[0].postId
        )
        .then((res) => {
          data3 = res;
        });
    }
  }
};
</script>

<style lang="scss" scoped></style>
